Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs	(revision 251)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOPaymentDataDetail.cs	(revision 252)
@@ -20,7 +20,7 @@
     /// </summary>
     public class IOPaymentDataDetail : MySqlProcess
     {
-                #region 定義部
+        #region 定義部
         /// <summary>
         /// log4netログを使用する
         /// </summary>
@@ -66,7 +66,7 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region 検索
         /// <summary>
         /// 検索
         /// </summary>
@@ -77,21 +77,37 @@
         public bool SelectAction(string AddSQLString, ref List<PaymentDataDetail> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT";
-                strcmd += " CompanyCode,TargetDate,SeqNo,LineCount,BillPrice,DiscountPrice,OffsetPrice,NextCoPrice,HighwPrice,HardwPrice,IndsWasteTax,CnstrPrice,CnstrPriceExist,ApprovalPersonCode,ApprovalDate,ApprovalEndFlg";
-                strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-                strcmd += " FROM PaymentDataDetail";
-                strcmd += AddSQLString;
+                strcmd.Append("SELECT");
+                strcmd.Append(" CompanyCode,");
+                strcmd.Append(" TargetDate,");
+                strcmd.Append(" SeqNo,");
+                strcmd.Append(" LineCount,");
+                strcmd.Append(" BillPrice,");
+                strcmd.Append(" DiscountPrice,");
+                strcmd.Append(" OffsetPrice,");
+                strcmd.Append(" NextCoPrice,");
+                strcmd.Append(" HighwPrice,");
+                strcmd.Append(" HardwPrice,");
+                strcmd.Append(" IndsWasteTax,");
+                strcmd.Append(" CnstrPrice,");
+                strcmd.Append(" CnstrPriceExist,");
+                strcmd.Append(" ApprovalPersonCode,");
+                strcmd.Append(" ApprovalDate,");
+                strcmd.Append(" ApprovalEndFlg");
 
+                strcmd.Append(" ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+                strcmd.Append(" FROM PaymentDataDetail");
+                strcmd.Append(AddSQLString);
+
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -105,12 +121,14 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
         }
+        #endregion
 
+        #region 新規登録
         /// <summary>
         /// 新規登録
         /// </summary>
@@ -119,56 +137,58 @@
         /// <returns></returns>
         public bool InsertAction(List<PaymentDataDetail> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
                 foreach (PaymentDataDetail work in data)
                 {
-                    strcmd = "INSERT INTO PaymentDataDetail";
+                    strcmd.Append("INSERT INTO PaymentDataDetail");
 
-                    strcmd += " VALUES (";
+                    strcmd.Append(" VALUES (");
 
-                    strcmd += string.Format("  {0}", work.CompanyCode.ToString());
-                    strcmd += string.Format(", {0}", work.TargetDate.ToString());
-                    strcmd += string.Format(", {0}", work.SeqNo.ToString());
-                    strcmd += string.Format(", {0}", work.LineCount.ToString());
-                    strcmd += string.Format(", {0}", work.BillPrice.ToString());
+                    strcmd.AppendFormat("  {0}", work.CompanyCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.TargetDate.ToString());
+                    strcmd.AppendFormat(", {0}", work.SeqNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.LineCount.ToString());
+                    strcmd.AppendFormat(", {0}", work.BillPrice.ToString());
 
-                    strcmd += string.Format(", {0}", work.DiscountPrice.ToString());
-                    strcmd += string.Format(", {0}", work.OffsetPrice.ToString());
-                    strcmd += string.Format(", {0}", work.NextCoPrice.ToString());
-                    strcmd += string.Format(", {0}", work.HighwPrice.ToString());
-                    strcmd += string.Format(", {0}", work.HardwPrice.ToString());
-                    strcmd += string.Format(", {0}", work.IndsWasteTax.ToString());
-                    strcmd += string.Format(", {0}", work.CnstrPrice.ToString());
+                    strcmd.AppendFormat(", {0}", work.DiscountPrice.ToString());
+                    strcmd.AppendFormat(", {0}", work.OffsetPrice.ToString());
+                    strcmd.AppendFormat(", {0}", work.NextCoPrice.ToString());
+                    strcmd.AppendFormat(", {0}", work.HighwPrice.ToString());
+                    strcmd.AppendFormat(", {0}", work.HardwPrice.ToString());
+                    strcmd.AppendFormat(", {0}", work.IndsWasteTax.ToString());
+                    strcmd.AppendFormat(", {0}", work.CnstrPrice.ToString());
                     if ((work.CnstrPriceExist == -1) || (work.ApprovalPersonCode == 0))
                     {
-                        strcmd += ", null";
+                        strcmd.Append(", null");
                     }
                     else
                     {
-                        strcmd += string.Format(", {0}", work.CnstrPriceExist.ToString());
+                        strcmd.AppendFormat(", {0}", work.CnstrPriceExist.ToString());
                     }
-                    strcmd += string.Format(", {0}", work.ApprovalPersonCode.ToString());
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.ApprovalDate.ToShortDateString());
-                    strcmd += string.Format(", {0}", work.ApprovalEndFlg.ToString());
+                    strcmd.AppendFormat(", {0}", work.ApprovalPersonCode.ToString());
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.ApprovalDate.ToShortDateString());
+                    strcmd.AppendFormat(", {0}", work.ApprovalEndFlg.ToString());
 
-                    strcmd += ", NOW()";
-                    strcmd += ", NOW()";
-                    strcmd += ")";
+                    strcmd.Append(", NOW()");
+                    strcmd.Append(", NOW()");
+                    strcmd.Append(")");
 
-                    if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                    if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
                 }
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
-
+        #endregion
+        
+        #region 更新登録
         /// <summary>
         /// 更新登録
         /// </summary>
@@ -178,48 +198,50 @@
         /// <returns></returns>
         public bool UpdateAction(string AddSQLString, PaymentDataDetail data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE PaymentDataDetail";
+                strcmd.Append("UPDATE PaymentDataDetail");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" BillPrice = {0}", data.BillPrice.ToString());
-                strcmd += string.Format(",DiscountPrice = {0}", data.DiscountPrice.ToString());
-                strcmd += string.Format(",OffsetPrice = {0}", data.OffsetPrice.ToString());
-                strcmd += string.Format(",NextCoPrice = {0}", data.NextCoPrice.ToString());
-                strcmd += string.Format(",HighwPrice = {0}", data.HighwPrice.ToString());
-                strcmd += string.Format(",HardwPrice = {0}", data.HardwPrice.ToString());
-                strcmd += string.Format(",IndsWasteTax = {0}", data.IndsWasteTax.ToString());
-                strcmd += string.Format(",CnstrPrice = {0}", data.CnstrPrice.ToString());
+                strcmd.AppendFormat(" BillPrice = {0}", data.BillPrice.ToString());
+                strcmd.AppendFormat(",DiscountPrice = {0}", data.DiscountPrice.ToString());
+                strcmd.AppendFormat(",OffsetPrice = {0}", data.OffsetPrice.ToString());
+                strcmd.AppendFormat(",NextCoPrice = {0}", data.NextCoPrice.ToString());
+                strcmd.AppendFormat(",HighwPrice = {0}", data.HighwPrice.ToString());
+                strcmd.AppendFormat(",HardwPrice = {0}", data.HardwPrice.ToString());
+                strcmd.AppendFormat(",IndsWasteTax = {0}", data.IndsWasteTax.ToString());
+                strcmd.AppendFormat(",CnstrPrice = {0}", data.CnstrPrice.ToString());
                 if ((data.CnstrPriceExist == -1) || (data.ApprovalPersonCode == 0))
                 {
-                    strcmd += ",CnstrPriceExist = null";
+                    strcmd.Append(",CnstrPriceExist = null");
                 }
                 else
                 {
-                    strcmd += string.Format(",CnstrPriceExist = {0}", data.CnstrPriceExist.ToString());
+                    strcmd.AppendFormat(",CnstrPriceExist = {0}", data.CnstrPriceExist.ToString());
                 }
-                strcmd += string.Format(",ApprovalPersonCode = {0}", data.ApprovalPersonCode.ToString());
-                strcmd += string.Format(",ApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.ApprovalDate.ToShortDateString());
-                strcmd += string.Format(",ApprovalEndFlg = {0}", data.ApprovalEndFlg.ToString());
+                strcmd.AppendFormat(",ApprovalPersonCode = {0}", data.ApprovalPersonCode.ToString());
+                strcmd.AppendFormat(",ApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.ApprovalDate.ToShortDateString());
+                strcmd.AppendFormat(",ApprovalEndFlg = {0}", data.ApprovalEndFlg.ToString());
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
+        #region 削除
         /// <summary>
         /// 削除
         /// </summary>
@@ -229,23 +251,24 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM PaymentDataDetail", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM PaymentDataDetail", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
+        #endregion
 
-
+        #region 構造体設定
         /// <summary>
         /// 構造体設定
         /// </summary>
@@ -290,7 +313,7 @@
 
         #endregion
 
-        #region パブリックメソッド（特殊処理）
+        #region 件数取得
 
         /// <summary>
         /// 件数取得
@@ -300,18 +323,18 @@
         /// <returns></returns>
         public int DataCount(string AddSQLString, bool bConnect = true)
         { 
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iReturn = 0;
             try
             {
                 // SQL作成（DateTime型が変換できないのでCharに変換しておく）
-                strcmd = "SELECT count(CompanyCode)";
-                strcmd += " FROM PaymentDataDetail ";
-                strcmd += AddSQLString;
+                strcmd.Append("SELECT count(CompanyCode)");
+                strcmd.Append(" FROM PaymentDataDetail ");
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return -1;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return -1;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -322,11 +345,13 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
             return iReturn;
         }
+        #endregion
 
+        #region 検索キー作成
         public string CreatePrimarykeyString(int CompanyCode, int TargetDate, int SeqNo, int LineCount)
         {
             string strWork = string.Empty;
@@ -342,7 +367,9 @@
 
             return strWork;
         }
+        #endregion
 
+        #region 行ロック
         /// <summary>
         /// 行ロック
         /// </summary>
@@ -350,22 +377,22 @@
         {
 
             //インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
-                strcmd = string.Format("select * from PaymentDataDetail where CompanyCode = {0} and TargetDate = {1} and SeqNo = {2} and LineCount = {3} for update;",
+                strcmd.AppendFormat("select * from PaymentDataDetail where CompanyCode = {0} and TargetDate = {1} and SeqNo = {2} and LineCount = {3} for update;",
                                         CompanyCode, TargetDate, SeqNo, LineCount);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
